%define version	6.2.0
%define release	11a
Summary: KTerm - multi-lingual terminal emulator for X
Name: kterm
Version: %{version}
Release: %{release}
Source: ftp://ftp.iis.u-tokyo.ac.jp/X/contrib/apprications/%{name}-%{version}.tar.gz
Source1: kterm.wmconfig
Patch0: kterm-6.2.0-resource.patch
Patch1: kterm-6.2.0-glibc.patch
Patch2: kterm-6.2.0-utmp98.patch
Copyright: distributable
Group: User Interface/X
Requires: /usr/sbin/utempter
Icon: kterm.gif
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary(ja): KTerm - ¿ X üߥ졼

%description
Kterm is a multi-lingual terminal emulator based on xterm. The major
differences of kterm from xterm is that it can handle multi-lingual text
encoded in  ISO2022, can display colored text, and has the statusline
function. To input multi-lingual text, both X Input Method (XIM) protocol
and kinput2 protocol can be used.

%description -l ja
kterm ϡxterm Ȥˤ¿üΥߥ Ǥ
xterm Ȥμʰ㤤ϡISO2022 沽줿¿ƥȤ
ȤǤդƥȤɽǤơ饤
ǽĤȤǤ¿ƥȤϤˤϡX Input
Method (XIM) ץȥȡkinput2 ץȥξѤ
ȤǤޤ

%prep
%setup -q
%patch0 -p1
if [ -f /lib/libc-2* ]; then
%patch1 -p1
fi
if [ -f /usr/lib/libutempter.so ]; then
%patch2 -p1
fi

sed -e '1,21d' -e '65,$d' main.c >Copyright

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ];then
	ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ];then
        ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build
xmkmf -a
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install install.man

mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/ja/man1
nkf -e kterm.jman > ${RPM_BUILD_ROOT}/usr/X11R6/man/ja/man1/kterm.1x
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/ja/app-defaults
install -m 0444 KTerm.ad.jp $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja/app-defaults/KTerm
mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
install -m 644 ${RPM_SOURCE_DIR}/kterm.wmconfig ${RPM_BUILD_ROOT}/etc/X11/wmconfig/kterm

# do not setuid kterm
chmod u-s ${RPM_BUILD_ROOT}/usr/X11R6/bin/kterm

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
LOCALEJA="ja_JP ja_JP.EUC ja_JP.euc ja_JP.ujis"
for i in ${LOCALEJA}; do
	cd /usr/X11R6/lib/X11
	if [ ! -L $i ]; then
		ln -s ja $i
	fi
done

%files
%defattr(-, root, root)
%doc DEMO.* Copyright README.kt termcap.kt terminfo.kt
/etc/X11/wmconfig/kterm
/usr/X11R6/bin/kterm
%config /usr/X11R6/lib/X11/app-defaults/KTerm
%config /usr/X11R6/lib/X11/ja/app-defaults/KTerm
/usr/X11R6/man/man1/kterm.1x
/usr/X11R6/man/ja/man1/kterm.1x

%changelog
* Mon Feb 14 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- 11th release
- added %post

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Tue Jul 13 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 9th release
- built against glibc-2.1
- Group: X11/Applications -> User Interface/X

* Wed Jan  6 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 8th release
- added Sparc Linux patch

* Mon Mar 23 1998 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 7th release
- fixed resource
- added Japanese resource
- added glibc patch
